<template>
  <header class="c-tabs">
    <button
      class="c-tabs__item"
      :class="visibleTab === TABS.DETAILS ? 'active' : ''"
      @click="changeVisibleTab(TABS.DETAILS)"
    >
      Role details
    </button>
    <button
      class="c-tabs__item"
      :class="visibleTab === TABS.APPLY ? 'active' : ''"
      @click="changeVisibleTab(TABS.APPLY)"
    >
      Apply for a role
    </button>
  </header>
</template>

<script>
import { TABS } from "@/constants/tabs";
import { mapMutations, mapState } from "vuex";

export default {
  name: "Tabs",
  data: function() {
    return {
      TABS
    };
  },
  methods: {
    ...mapMutations(["changeVisibleTab"]),
    changeVisibleTab(value) {
      if (value === this.$store.state.visibleTab) return;
      this.$store.commit("changeVisibleTab", value);
    }
  },
  computed: {
    ...mapState(["visibleTab"])
  }
};
</script>

<style lang="scss">
.c-tabs {
  display: flex;
  margin-bottom: 5.5rem;

  @include breakpoint(phone) {
    margin-right: -($l-padding / 2);
    margin-left: -($l-padding / 2);
  }

  @include breakpoint(overPhone) {
    border-bottom: 1px solid $c-brand-tertiary;
  }

  &__item {
    font-size: 1.8rem;
    line-height: 2.4rem;
    color: $c-brand-primary;
    text-align: center;
    width: 50%;
    padding: 1.3rem 1rem;
    background-color: $c-gray-primary;
    transition: 0.3s;

    @include breakpoint(overPhone) {
      width: auto;
      min-width: 20.8rem;
    }

    &.active {
      background-color: $c-white;

      @include breakpoint(overPhone) {
        background-color: $c-brand-tertiary;
        color: $c-white;
      }
    }
  }
}
</style>
